# Function formatNumber

- formatNumber(number, pattern, groupSep, decimalSep, fractionSize): string

- Format a number into a string

  #### Parameters

  - number: number

    The number to format

  - pattern: {
    gSize: any;
    lgSize: any;
    maxFrac: any;
    minFrac: any;
    negPre: any;
    negSuf: any;
    posPre: any;
    posSuf: any;
    }

    - ##### gSize: any

    - ##### lgSize: any

    - ##### maxFrac: any

    - ##### minFrac: any

    - ##### negPre: any

    - ##### negSuf: any

    - ##### posPre: any

    - ##### posSuf: any

  - groupSep: string

    The string to separate groups of number (e.g. `,`)

  - decimalSep: string

    The string to act as the decimal separator (e.g. `.`)

  - fractionSize: any

    The size of the fractional part of the number

  #### Returns string

  The number formatted as a string

  - Defined in filters/filters.js:158